TabItemManual

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gui
Class TabItemManual

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      gui.TabItemManual

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

public class TabItemManual
extends org.eclipse.swt.widgets.Composite

TabItemManual Klasse Dient zum Manuellen Steuern des Roboters, sowohl mit Hilfe von Schiebereglern, als auch Eingabefeldern zur direkten Ansteuerung von Positionen

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`TabItemManual(org.eclipse.swt.widgets.Composite parent, int style, NetworkHandler netH)` Konstruktor

Method Summary
`void` | `connectionDisrupted()` Wird vom Hauptfenster aufgerufen, wenn die Verbindung gerade unterbrochen wurde.
`void` | `connectionEstablished()` Wird vom Hauptfenster aufgerufen, wenn gerade eine Verbindung aufgebaut wurde.
`void` | `setPosition(float x, float y, float z)` Setzt die Roboterposition, an denen er sich tatsächlich befindet

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, computeSize, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TabItemManual

    public TabItemManual(org.eclipse.swt.widgets.Composite parent,
                         int style,
                         NetworkHandler netH)

  Konstruktor

Parameters:
  `parent` - das Parent Composite
  `style` - der SWT Style
  `netH` - das vorherrschende NetworkHandler Objekt

Method Detail

### connectionEstablished

    public void connectionEstablished()

  Wird vom Hauptfenster aufgerufen, wenn gerade eine Verbindung aufgebaut wurde.

### connectionDisrupted

    public void connectionDisrupted()

  Wird vom Hauptfenster aufgerufen, wenn die Verbindung gerade unterbrochen wurde.

### setPosition

    public void setPosition(float x,
                            float y,
                            float z)

  Setzt die Roboterposition, an denen er sich tatsächlich befindet

  Parameters:
    `x` - X-Koordinate der Position
    `y` - Y-Koordinate der Position
    `z` - Z-Koordinate der Position

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD